package java.lang;

/*
 * Licensed Materials - Property of IBM,
 *     Copyright IBM Corp. 2012  All Rights Reserved
 */

import com.ibm.oti.vm.*;

/**
 * Helper class to allow privileged access to classes
 * from outside the java.lang package. Based on sun.misc.SharedSecrets
 * implementation.
 */
class VMAccess implements VMLangAccess {

	/**
	 * Returns an alternative hash code for a given String.
	 */
	public int getStringHash32(String string) {
		return string.hash32();
	}
}
